# coding=iso-8859-15
#
# Newsflash action script.
#
# (c) Sami Visnen 2008
#
# Pleasy modify this script to suit your needs.
#
# This script copies movies (.avi, .nfo and sub packs) to a specified
# location on the filesystem. This is useful if you have a single
# location for your movies. 
#
#
import os
import os.path
import sys
import re
import shutil
import newsflash

newsflash.add_log('$Id: action_zcopy.py,v 1.3 2008/05/22 22:19:52 enska Exp $')

def pathfix(location):
    if os.name == 'posix':
        if location[len(location)-1] != '/':
            location = location + '/'
    if os.name == 'nt':
        if location[len(location)-1] != '\\':
            location = location + '\\'
    return location

def newsflash_batch_complete(location):
    # change these filesystem locations to suit your needs.
    if os.name == 'nt':
        destination='Z:\\' + os.path.split(location)[1]
    if os.name == 'posix':
        destination='/mnt/share/videos2/' + os.path.split(location)[1]

    folder_created=False
    if os.path.exists(destination):
        folder_created=True
    
    location=pathfix(location)
    names=os.listdir(location)
    pat1=re.compile('.*\\.avi$')
    pat2=re.compile('.*\\.nfo$')
    pat3=re.compile('.*subs?.*\\.rar', re.IGNORECASE)

    for i in range(len(names)):
        if re.match(pat1, names[i]) == None:
            if re.match(pat2, names[i]) == None:
                if re.match(pat3, names[i]) == None:
                    continue

        if folder_created==False:
            os.mkdir(destination)
            folder_created=True

        if os.name == 'nt':
            if os.path.exists(destination + '\\' + names[i]):
                newsflash.add_log('File exists: ' + destination + '\\' + names[i])
                newsflash.add_log("Skipping...")
            else:
                newsflash.show_msg('Moving:' + names[i] + ' to:' + destination)
                shutil.move(location + '\\' + names[i], destination)
                newsflash.add_log('Created:' + destination + '\\' + names[i])
        
        if os.name == 'posix':
            if os.path.exists(destination + '/' + names[i]):
                newsflash.add_log('File exists: ' + destination + '/' + names[i])
                newsflash.add_log("Skipping...")
            else:
                newsflash.show_msg('Moving:' + names[i] + ' to:' + destination)
                shutil.move(location + '/' + names[i], destination)
                newsflash.add_log('Created:' + destination + '/' + names[i])




